import * as plugins from '../../plugins.js';
export declare class NetworkTargetDoc extends plugins.smartdata.SmartDataDbDoc<NetworkTargetDoc, NetworkTargetDoc> {
    id: string;
    name: string;
    description?: string;
    host: string | string[];
    port: number;
    createdAt: number;
    updatedAt: number;
    createdBy: string;
    constructor();
    static findById(id: string): Promise<NetworkTargetDoc | null>;
    static findByName(name: string): Promise<NetworkTargetDoc | null>;
    static findAll(): Promise<NetworkTargetDoc[]>;
}
